#include "transform.c"

#ifndef haar_h
#define haar_h

class Haar: public Transform {
 protected:
  void create();

 public:
  // contructor/deconstructor
  Haar(int new_size) : Transform(new_size) 
    { if (size > 0) create(); }
  ~Haar();

  // overwrites of threshold functions
  void scale_to (float * array);
  void scale_from (float * array);
  void threshold (float * array);
};

#endif
